<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/td/onlinemanual/000427" xml:lang="en">
   <Header>
      <Title>To convert multiple manufacturer items to MPN items</Title>
      <Keyword type="header" order="d1e1341214">
         <Level1>Manufacturer's item</Level1>
      </Keyword>
      <Keyword type="header" order="d1e1341217">
         <Level1>MPN item</Level1>
      </Keyword>
      <Keyword type="header" order="d1e1341220">
         <Level1>Multiple manufacturer item</Level1>
         <Level2>converting</Level2>
      </Keyword>
   </Header>
   <AimSection>
      <Paragraph>If you use the multiple
		manufacturer item functionality to order manufacturer's items, but you want to
		start using the <Link href="/baanerp/td/glossary/glossary#000376" role="glossary" Update="No">manufacturer part number (MPN)</Link> item
		functionality instead, you can convert the multiple manufacturer master data to
		the MPN master data for an item.</Paragraph>
      <List>
         <ListIntro>The following data can be converted:</ListIntro>
         <ListItem>Item manufacturers to manufacturer part numbers.</ListItem>
         <ListItem>Item manufacturer business partners to MPNs by business
		  partner.</ListItem>
      </List>
   </AimSection>
   <Note>
      <SectionTitle>Note</SectionTitle>
      <Paragraph>Because the multiple manufacturer master data contains
		effectivity and status information, but the MPN master data only contains
		effectivity data for MPNs, master data cannot always be converted consistently.
		As a result, you must decide whether the master data setup for multiple
		manufacturer items is simple enough to be converted to the new MPN master
		data.</Paragraph>
      <List>
         <ListIntro>Conversion is most succesful if:</ListIntro>
         <ListItem>Item manufacturers are effective on the current
		  date.</ListItem>
         <ListItem>The effectivity periods of the item manufacturers and the item
		  manufacturer business partners have the same effective and expiry
		  dates.</ListItem>
      </List>
      <Paragraph>You can also choose to only copy the item manufacturers to MPNs
		and next link business partners to the MPNs by means of the <Link href="/baanerp/td/ipu/tdipu0248m000" role="session">Import MPNs by Item - Business Partner (tdipu0248m000)</Link> session.</Paragraph>
   </Note>
   <GeneralSection>
      <SectionTitle>To convert the master data</SectionTitle>
      <Paragraph>If you clear the <GUIRef href="/baanerp/td/ipu/tdipu0101m000#tdipu001.mmnf" role="manual">Multiple Manufacturer Item</GUIRef> check box that was
		previously selected for an item in the <GUIRef href="/baanerp/td/ipu/tdipu0101m000" role="session">Items - Purchase (tdipu0101m000)</GUIRef> session and select the <GUIRef href="/baanerp/td/ipu/tdipu0101m000#tdipu001.mpyn" role="manual">MPN Item</GUIRef> check box instead, the conversion process is
		triggered.</Paragraph>
      <Paragraph>It depends on a number of settings whether you can only copy
		item manufacturers to manufacturer part numbers, or you can also copy item
		manufacturer business partners to MPNs by business partner.</Paragraph>
      <GeneralSection>
         <SectionTitle>To copy item manufacturers to manufacturer part
		  numbers</SectionTitle>
         <Paragraph>If the <GUIRef href="/baanerp/td/ipu/tdipu0101m000#tdipu001.cims" role="manual">Multiple Manufacturer Item Check</GUIRef> field is set to <GUIRef href="/baanerp/td/domains/ipu.cims#item.cmnf" role="option">Item-Manufacturer</GUIRef> in the <GUIRef href="/baanerp/td/ipu/tdipu0101m000" role="session">Items - Purchase (tdipu0101m000)</GUIRef> session, the <GUIRef href="" role="manual" Update="No">Convert Item-Manufacturers to Manufacturer Part Numbers?</GUIRef> question
		  appears.</Paragraph>
         <List>
            <ListIntro>If the <GUIRef href="/baanerp/td/ipu/tdipu0101m000#tdipu001.cims" role="manual">Multiple Manufacturer Item Check</GUIRef> field is set to <GUIRef href="/baanerp/td/domains/ipu.cims#item.cmnf.otbp" role="option">Item-Manufacturer and Business Partner</GUIRef> in the <GUIRef href="/baanerp/td/ipu/tdipu0101m000" role="session">Items - Purchase (tdipu0101m000)</GUIRef> session, a dialog box appears with the following check
			 boxes:</ListIntro>
            <ListItem>
               <GUIRef href="" role="manual" Update="No">Convert Item-Manufacturers to MPNs</GUIRef>
            </ListItem>
            <ListItem>
               <GUIRef href="" role="manual" Update="No">Convert Item Manufacturer BPs to MPNs per BP</GUIRef>
            </ListItem>
         </List>
         <Paragraph>If you click <GUIRef href="" role="manual" Update="No">Yes</GUIRef> to the question <GUIRef href="" role="manual" Update="No">Convert Item-Manufacturers to Manufacturer Part Numbers?</GUIRef>, or you select the <GUIRef href="" role="manual" Update="No">Convert Item-Manufacturers to MPNs</GUIRef> check box on the dialog box, LN converts item
		  manufacturers from the <Link href="/baanerp/td/ipu/tdipu0130m000" role="session">Item - Manufacturer (tdipu0130m000)</Link> session
		  to MPNs in the <Link href="/baanerp/td/ipu/tdipu0145m000" role="session">Manufacturer Part Numbers (tdipu0145m000)</Link> session.</Paragraph>
      </GeneralSection>
      <GeneralSection>
         <SectionTitle>To copy item manufacturer business partners to MPNs by
		  business partner</SectionTitle>
         <Paragraph>To copy item manufacturer business partners to MPNs by
		  business partner, the <GUIRef href="/baanerp/td/ipu/tdipu0101m000#tdipu001.cims" role="manual">Multiple Manufacturer Item Check</GUIRef> field must be set to <GUIRef href="/baanerp/td/domains/ipu.cims#item.cmnf.otbp" role="option">Item-Manufacturer and Business Partner</GUIRef> in the <GUIRef href="/baanerp/td/ipu/tdipu0101m000" role="session">Items - Purchase (tdipu0101m000)</GUIRef> session.</Paragraph>
         <Paragraph>If you select the <GUIRef href="" role="manual" Update="No">Convert Item Manufacturer BPs to MPNs per BP</GUIRef> check box on the dialog box that
		  appears after you change the item into an MPN item, LN converts item
		  manufacturer business partners from the <Link href="/baanerp/td/ipu/tdipu0135m000" role="session">Item - Manufacturer and Business Partner (tdipu0135m000)</Link> session to MPNs by business partner in the <Link href="/baanerp/td/ipu/tdipu0148m000" role="session">MPNs by Item - Business Partner (tdipu0148m000)</Link> session.</Paragraph>
      </GeneralSection>
   </GeneralSection>
   <GeneralSection>
      <SectionTitle>Conversion rules</SectionTitle>
      <Paragraph>A number of rules apply when you convert the master
		data.</Paragraph>
      <GeneralSection>
         <SectionTitle>Item-manufacturer</SectionTitle>
         <List>
            <ListTitle>General rules</ListTitle>
            <ListIntro>The following rules apply when you convert item
			 manufacturers to manufacturer part numbers:</ListIntro>
            <ListItem>LN first converts item manufacturers that are effective on the current date (see
			 example 1).</ListItem>
            <ListItem>If no item manufacturers are effective on the current date, LN converts item
			 manufacturers that will become effective in the future (see example 2).</ListItem>
         </List>
         <List>
            <ListTitle>Selection rules in the <GUIRef href="/baanerp/td/ipu/tdipu0130m000" role="session">Item - Manufacturer (tdipu0130m000)</GUIRef> session</ListTitle>
            <ListItem>The <GUIRef href="/baanerp/td/ipu/tdipu0130m000#tdipu030.mitm" role="manual" Update="No">Manufacturer Item</GUIRef> field, which becomes the MPN item, must
			 be filled.</ListItem>
            <ListItem>If the <GUIRef href="/baanerp/td/ipu/tdipu0130m000#tdipu030.mitm" role="manual" Update="No">Manufacturer Item</GUIRef> occurs more than once, only the first
			 item is copied.</ListItem>
            <ListItem>The <GUIRef href="/baanerp/td/ipu/tdipu0130m000#tdipu030.mitm" role="manual" Update="No">Manufacturer Item</GUIRef> cannot contain multibyte
			 characters.</ListItem>
            <ListItem>The item-manufacturer's <GUIRef href="/baanerp/td/ipu/tdipu0130m000#tdipu030.exdt" role="manual">Expiry Date</GUIRef> must fall after the current date.</ListItem>
         </List>
         <Paragraph>The item manufacturers that are converted can have any
		  status.</Paragraph>
      </GeneralSection>
      <GeneralSection>
         <SectionTitle>Item manufacturer BP</SectionTitle>
         <List>
            <ListTitle>General rules</ListTitle>
            <ListIntro>The following rules apply when you convert item manufacturer
			 BPs to MPNs per BP:</ListIntro>
            <ListItem>If item manufacturers are converted that are effective on the
			 current date, LN can
			 only convert item manufacturer business partners that are also effective on the
			 current date (see example 1).</ListItem>
            <ListItem>If LN converts item manufacturers that will become effective in the
			 future, LN can only
			 convert item manufacturer business partners that fall within the effectivity
			 period of the item manufacturer (see example 2).</ListItem>
         </List>
         <ProcedureList>
            <ListTitle>Selection rules in the <GUIRef href="/baanerp/td/ipu/tdipu0135m000" role="session">Item - Manufacturer and Business Partner (tdipu0135m000)</GUIRef> session</ListTitle>
            <ListItem>LN first checks whether an item-manufacturer-business partner combination exists
			 for which the <GUIRef href="/baanerp/td/ipu/tdipu0135m000#tdipu035.otbp" role="manual">Buy-from Business Partner</GUIRef> and <GUIRef href="/baanerp/td/ipu/tdipu0135m000#tdipu035.sfbp" role="manual">Ship-from BP</GUIRef> are the same.</ListItem>
            <ListItem>If no such record is available, LN searches for an
			 item-manufacturer-business partner combination with an empty <GUIRef href="/baanerp/td/ipu/tdipu0135m000#tdipu035.sfbp" role="manual">Ship-from BP</GUIRef>.</ListItem>
            <ListItem>If no such record exists, the <GUIRef href="/baanerp/td/ipu/tdipu0135m000#tdipu035.sfbp" role="manual">Ship-from BP</GUIRef> can have any value for the
			 item-manufacturer-business partner combination.</ListItem>
         </ProcedureList>
         <Paragraph>The Item manufacturer business partners that are converted
		  cannot have the <GUIRef href="/baanerp/td/domains/ipu.stat#block" role="option">Blocked</GUIRef> status or a lower status than the item
		  manufacturer. For example, if the item manufacturer has the <GUIRef href="/baanerp/td/domains/ipu.stat#approve" role="option">Approved</GUIRef> status, but the item manufacturer business
		  partner has the <GUIRef href="/baanerp/td/domains/ipu.stat#for.approval" role="option">For Approval</GUIRef> status, the item manufacturer business partner cannot be
		  copied.</Paragraph>
      </GeneralSection>
      <Note>
         <SectionTitle>Note</SectionTitle>
         <Paragraph>If both the <GUIRef href="" role="manual" Update="No">Convert Item-Manufacturers to MPNs</GUIRef> and <GUIRef href="" role="manual" Update="No">Convert Item Manufacturer BPs to MPNs per BP</GUIRef> check boxes are selected, but LN cannot copy any of
		  the the item manufacturer business partners, the item manufacturer is not
		  copied either.</Paragraph>
      </Note>
      <ExampleSection>
         <SectionTitle>Example 1 - Item manufacturers effective on
		  current date</SectionTitle>
         <Paragraph>
            <HTML:IMG xmlns:HTML="http://www.w3.org/TR/REC-html40" height="162" width="382"
                      SRC="../images/tdipu001_convert1.gif"
                      alt="[...]"/>
         </Paragraph>
         <List>
            <ListItem>1, 2, and 3 are records in the <GUIRef href="/baanerp/td/ipu/tdipu0130m000" role="session">Item - Manufacturer (tdipu0130m000)</GUIRef> and <GUIRef href="/baanerp/td/ipu/tdipu0135m000" role="session">Item - Manufacturer and Business Partner (tdipu0135m000)</GUIRef> sessions. The arrows represent
			 the records' effectivity periods.</ListItem>
            <ListItem>Records 1 and 2 are taken into consideration for copying.
			 Record 3 is not used because it is effective after the current date, while
			 records exist that are effective on the current date.</ListItem>
            <ListItem>Record 1 is converted to the <GUIRef href="/baanerp/td/ipu/tdipu0145m000" role="session">Manufacturer Part Numbers (tdipu0145m000)</GUIRef> session and record 2 to the <GUIRef href="/baanerp/td/ipu/tdipu0148m000" role="session">MPNs by Item - Business Partner (tdipu0148m000)</GUIRef> session.</ListItem>
            <ListItem>If record 1 had the <GUIRef href="/baanerp/td/domains/ipu.stat#for.approval" role="option">For Approval</GUIRef> status, records 1 and 2 would also be converted.</ListItem>
         </List>
      </ExampleSection>
      <ExampleSection>
         <SectionTitle>Example 2 -Item manufacturers not effective on
		  current date</SectionTitle>
         <Paragraph>
            <HTML:IMG xmlns:HTML="http://www.w3.org/TR/REC-html40" height="170" width="417"
                      SRC="../images/tdipu001_convert2.gif"
                      alt="[...]"/>
         </Paragraph>
         <List>
            <ListItem>1, 2, and 3 are records in the <GUIRef href="/baanerp/td/ipu/tdipu0130m000" role="session">Item - Manufacturer (tdipu0130m000)</GUIRef> and <GUIRef href="/baanerp/td/ipu/tdipu0135m000" role="session">Item - Manufacturer and Business Partner (tdipu0135m000)</GUIRef> sessions. The arrows represent
			 the records' effectivity periods.</ListItem>
            <ListItem>Because the item manufacturer business partner records (2 and
			 3) fall within the effectivity period of the item-manufacturer that will become
			 effective in the future (1), all records are taken into consideration for
			 copying.</ListItem>
            <ListItem>Both 2 and 3 must have a status higher than or equal to the
			 item manufacturer's status (1) and none of the item manufacturer business
			 partner records can have the <GUIRef href="/baanerp/td/domains/ipu.stat#block" role="option">Blocked</GUIRef> status. Because record 3 is blocked, record 1 cannot be converted to the <GUIRef href="/baanerp/td/ipu/tdipu0145m000" role="session">Manufacturer Part Numbers (tdipu0145m000)</GUIRef> session and records 2 and 3 cannot be
			 converted to the <GUIRef href="/baanerp/td/ipu/tdipu0148m000" role="session">MPNs by Item - Business Partner (tdipu0148m000)</GUIRef> session.</ListItem>
            <ListItem>If both the <GUIRef href="" role="manual" Update="No">Convert Item-Manufacturers to MPNs</GUIRef> and <GUIRef href="" role="manual" Update="No">Convert Item Manufacturer BPs to MPNs per BP</GUIRef> check boxes are selected, and no other valid business partners are
			 linked to the item-manufacturer that can be copied, the item manufacturer is
			 not copied either.</ListItem>
         </List>
      </ExampleSection>
   </GeneralSection>
   <RelatedTopics>
      <SectionTitle>Related topics</SectionTitle>
      <RelTopic>
         <Link href="/baanerp/td/onlinemanual/000328" role="manual">To set up and use MPN items</Link>
      </RelTopic>
      <RelTopic>
         <Link href="/baanerp/td/onlinemanual/000327" role="manual">To set up and use multiple manufacturer items</Link>
      </RelTopic>
   </RelatedTopics>
</ManualTopic>